[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# get_segment_base_address

Return base address from descriptor table

## Declaration

Source position: go32.pp line 92

`function get_segment_base_address(`
`d: Word`
`):DWord;`

## Description

Returns the 32-bit linear base address from the descriptor table for the specified segment.

Parameters:

d
  selector of the descriptor you want the base address of.

Return values: Linear base address of specified descriptor.

For an example, see allocate_ldt_descriptors.

## Errors

Check the int31error variable.

## See also

allocate_ldt_descriptors |  | Allocate a number of descriptors
set_segment_base_address |  | Set descriptor's base address
allocate_ldt_descriptors |  | Allocate a number of descriptors
set_segment_limit |  | Set descriptor limit
get_segment_limit |  | Return segment limits from descriptor